package com.yizhi.training.application.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.training.application.domain.LeaveWord;
import com.yizhi.training.application.vo.domain.AuthzUserGroupVo;
import com.yizhi.training.application.vo.domain.LeaveWordParamVo;
import com.yizhi.training.application.vo.domain.LeaveWordVo;

/**
 * com.yizhi.training.application.service
 *
 * @author yanglang
 * @create 2025-01-03 10:05:41
 */
public interface LeaveWordService extends IService<LeaveWord> {
    Page<LeaveWordVo> page(LeaveWordParamVo paramVo);
    boolean save(LeaveWordVo leaveWordVo);
    LeaveWordVo getById(Long id);
    AuthzUserGroupVo getAuthzUserGroup();
    boolean updateState(Long id,Integer state);
    boolean removeById(Long id);
}
